SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Bugzilla Vendors:   Mozilla.org
Bugzilla Access Control Flaw in 'report.cgi' Lets Remote Users Conduct Cross-Site Request Forgery Attacks
SecurityTracker Alert ID:  1040389
SecurityTracker URL:  http://securitytracker.com/id/1040389
CVE Reference:   CVE-2018-5123   (Links to External Site)
Date:  Feb 19 2018
Impact:   Modification of user information
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 2.16rc1 - 4.4.12, 4.5.1 - 5.0.3
Description:   A vulnerability was reported in Bugzilla. A remote user can conduct cross-site request forgery attacks.

A remote user can create a specially crafted HTML page or URL that, when loaded by the target authenticated user, will take actions on the target interface acting as the target user.

The image generation function in 'report.cgi' is affected.

Holger Fuhrmannek reported this vulnerability.

Impact:   A remote user can take actions on the target system acting as the target authenticated user.
Solution:   The vendor has issued a fix (4.4.13, 5.0.4).

The vendor advisory is available at:

https://www.bugzilla.org/security/4.4.12/

Vendor URL:  www.bugzilla.org/security/4.4.12/ (Links to External Site)
Cause:   Access control error, Input validation error
Underlying OS:  Linux (Any), UNIX (Any)

Message History:   None.


 Source Message Contents

Subject:  Security advisory for Bugzilla 5.1.1, 5.0.3, and 4.4.12

Summary
=======

Bugzilla is a Web-based bug-tracking system used by a large number of
software projects. The following security issue has been discovered
in Bugzilla:

* A CSRF vulnerability in report.cgi would allow a third-party site
  to extract confidential information from a bug the victim had access to.

All affected installations are encouraged to upgrade as soon as
possible.


Vulnerability Details
=====================

Class:       Cross-Site Request Forgery
Versions:    Bugzilla 2.16rc1 to 4.4.12, 4.5.1 to 5.0.3
Fixed In:    4.4.13, 5.0.4
Description: Via the image generation in report.cgi, a malicious site
             using the presence of certain images, could extract
             potentially confidential information if the victim was
             logged in and could access the bug.
References:  https://bugzilla.mozilla.org/show_bug.cgi?id=1433400
CVE Number:  CVE-2018-5123


Vulnerability Solutions
=======================

The fix for this issue is included in the 4.4.13 and 5.0.4
releases. Upgrading to a release with the relevant fix will
protect your installation from possible exploits of this issue.

If you are unable to upgrade but would like to patch just the security
vulnerability, there are patches available for the issue at the
"References" URL.

Full release downloads, patches to upgrade Bugzilla from previous
versions, and git upgrade instructions are available at:

  https://www.bugzilla.org/download/


Credits
=======

The Bugzilla team wish to thank the following people for their
assistance in locating, advising us of, and assisting us to fix this
issue:

Reporter: Holger Fuhrmannek
Fixed by: Dylan Hardison

General information about the Bugzilla bug-tracking system can be found
at:

  https://www.bugzilla.org/

Comments and follow-ups can be directed to the mozilla.support.bugzilla
newsgroup or the support-bugzilla mailing list.
https://www.bugzilla.org/support/ has directions for accessing these
forums.
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2020, SecurityGlobal.net LLC